using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BB
{
    static class Program
    {
        public static Main main;//Создаем экземпляр главной страницы, чтобы получить к ней допуск из любого уголка приложения
        //Делегат нужен, чтобы лист в главной форме заполнился услугами.
        public delegate void UpdateList();

        public static UpdateList updateList;

        public static void UpdateAll()//метод который вызовет делегата
        {
            updateList();
        }

        /// <summary>
        /// Главная точка входа для приложения.
        /// </summary>
        [STAThread]
        public static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(main = new Main());//обратите внимание, что я здесь присваюваю значение созданной ранее переменной
        }
    }
}
